Spinrun Docs
REST APICatalog

Models, apps, trigger types and limits

Models, apps, trigger types and limits — Spinrun Build REST API operation.

GET/api/build/catalog

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth access token whose grant carries Build authorization.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/build/catalog"
{  "data": {    "models": [      {        "id": "string",        "label": "string",        "tier": "string"      }    ],    "apps": [      {        "slug": "string",        "name": "string",        "connections": 0,        "tools": 0      }    ],    "trigger_types": [      "string"    ],    "limits": {      "document_bytes": 0,      "agents": 0,      "workflows": 0,      "triggers_per_agent": 0,      "workflow_steps": 0,      "agent_steps": 0    }  }}